{% extends 'templates/app.twig' %}

{% block content %}
	<form action="{{ path_for('home') }}" method="post" enctype="multipart/form-data" id="myform" class="row container-fluid" style="text-align: center; display:flex; justify-content:center; align-items:center; margin-top:70px;">		
		<div class="col-xs-4">
			<div class="banner">
				<h1 class="bannerText1">Banner #1</h1>
				<div class="images" id="output1"></div>
			</div>
			<input class="form-control form-control-lg" name="link1" type="text" value="{{link1}}">
			<input type="file" accept="image/*" name="banner1" id="banner1" onchange="change_modal_index(event, 1)" >
		</div>
		<div class="col-xs-4">
			<div class="banner">
				<h1 class="bannerText2">Banner #2</h1>
				<div class="images" id="output2"></div>
			</div>
			<input class="form-control form-control-lg" name="link2" type="text" value="{{link2}}" >
			<input type="file" accept="image/*" name="banner2" id="banner2" onchange="change_modal_index(event, 2)" >
		</div>	
		<div class="col-xs-4">
			<div class="banner">
				<h1 class="bannerText3">Banner #3</h1>
				<div class="images" id="output3"></div>
			</div>
			<input class="form-control form-control-lg" name="link3" type="text" value="{{link3}}" >
			<input type="file" accept="image/*" name="banner3" id="banner3" onchange="change_modal_index(event, 3)" >
		</div>
		
		{{ csrf.field | raw }}
	</form>

	<button type="submit" form="myform" class="col-xs-12 btn btn-success" style="margin-top:50px; padding:10px 20px;">Save all changes</button>	
	
	<style>
	.col {
		text-align:center;
	}
	 .fa-plus {
		 font-size:50px;
	 }

	 .banner {
		width:100%; background:aqua; background-color: #5bc0de; border-color: #46b8da; padding: 10px 16px;
	 }

	 .images {
		background-size: contain;
		background-repeat: no-repeat;
		background-position: center center;
		width: 100%; 
		height: 200px; 
	 }
	</style>

	<script> 
		let saved_image;  
		let modalIndex;

		document.addEventListener("DOMContentLoaded", function(){
			for(var i = 1; i <= 3; i++) {
				var dynaOutput = document.getElementById('output'+i);
				dynaOutput.style.backgroundImage = "url(https://www.w3schools.com/images/w3schools_green.jpg)";
				//dynaOutput.style.backgroundImage = "url('" + saved_image + "')";
			}
		}); 

		function cancel(){
			// reset form value 
			// document.getElementById("inputFile").reset();
			// document.getElementById('output').src = "";
		}

		function change_modal_index(event, index) {
			// Get Image data
			saved_image = URL.createObjectURL(event.target.files[0]);

			// Display Image data
			var dynaOutput = document.getElementById('output'+index);
			dynaOutput.style.backgroundImage = "url('" + saved_image + "')";
		}
	</script>
{% endblock %}